use strict;
use Getopt::Long;

use DE_EPAGES::Core::API::PerlTools qw( UsePackage );
use DE_EPAGES::Core::API::Script qw( RunScript );

sub Main {
    local $| = 1;

    my %Options;
    my @GetOpt = qw(help);
    GetOptions(\%Options, @GetOpt) or usage();

    usage() unless scalar @ARGV;
    usage() if $Options{help};

    die "Can\'t run install3rdParty.pl on $^O\n" if $^O ne 'MSWin32';

    foreach (@ARGV) {
        s/\..*//; # compability: formerly with suffix (e.g. jdk.exe), now without (e.g. jdk)
        UsePackage("DE_EPAGES::Core::API::Program::$_");
        my $Program = "DE_EPAGES::Core::API::Program::$_"->new;

        $Program->update;
    }
    return;
}

sub usage {
    print <<END_USAGE;
Usage:
    perl $0 [-help] package...

Options:
    package...  list of packages to be installed

Flags:
    -help       show the command line options

Example:
    perl $0 jdk mongodb mp3splt
END_USAGE
    exit 2;
}

RunScript(
    'Sub' => \&Main
);

1;
